Name:          enscript
Version:       1.6.6
Release:       2mamba
Summary:       Converts plain ASCII to PostScript.
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://codento.com/people/mtr/genscript/
Source0:       http://ftp.gnu.org/gnu/enscript/enscript-%{version}.tar.gz 
Source1:       http://neugierig.org/software/ruby/ruby-enscript.tar.gz
Source2:       http://home.raxnet.net/downloads/viewcvs/enscript.st
License:       GPL
Patch1:        enscript-1.6.1-CAN-2004-1185.patch
Patch2:        enscript-1.6.1-CAN-2004-1186.patch
Patch3:        enscript-1.6.1-locale.patch
Patch4:        enscript-doublefree.patch
Patch5:        enscript-1.6.1-config.patch
Patch6:        enscript-1.6.4-hilight.patch
Patch7:        enscript-wrap_header.patch
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfl-devel
## AUTOBUILDREQ-END
Requires(post): %{__install_info}
#Option     Change with configure's option   Current value
#---------------------------------------------------------
#Media      --with-media=MEDIA               Letter
#Spooler    --with-spooler=SPOOLER           lpr
#PS level   --with-ps-level=LEVEL            2

%description
GNU enscript is a free replacement for Adobe's Enscript program. Enscript converts ASCII files to PostScript(TM) and spools generated PostScript output to the specified printer or saves it to a file. Enscript can be extended to handle different output media and includes many options for customizing printouts.

%prep
%setup -q
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1
#%patch6 -p1
#%patch7 -p1
tar -C states/hl -zxf %{S:1} ruby.st
install -pm 644 %{S:2} states/hl/php.st

%build
%configure --with-media=Letter
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
rm -f %{buildroot}%{_datadir}/info/dir

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%install_info enscript.info
/sbin/ldconfig
:

%preun
%uninstall_info enscript.info
/sbin/ldconfig
:

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/enscript.cfg
%{_bindir}/diffpp
%{_bindir}/enscript
%{_bindir}/mkafmmap
%{_bindir}/over
%{_bindir}/sliceprint
%{_bindir}/states
%dir %{_datadir}/enscript
%{_datadir}/enscript/enscript.pro
%{_datadir}/enscript/*.hdr
%{_datadir}/enscript/*.enc
%dir %{_datadir}/enscript/afm
%{_datadir}/enscript/afm/MustRead.html
%{_datadir}/enscript/afm/font.map
%{_datadir}/enscript/afm/*.pfa
%{_datadir}/enscript/afm/*.afm
%dir %{_datadir}/enscript/hl
%{_datadir}/enscript/hl/*.st
%{_infodir}/enscript.info.gz
%{_mandir}/man1/diffpp.1.gz
%{_mandir}/man1/enscript.1.gz
%{_mandir}/man1/sliceprint.1.gz
%{_mandir}/man1/states.1.gz
%doc AUTHORS COPYING
# ChangeLog NEWS README README.DOS README.ESCAPES THANKS TODO

%changelog
* Wed Feb 28 2024 Automatic Build System <autodist@openmamba.org> 1.6.6-2mamba
- automatic rebuild by autodist

* Thu Oct 11 2012 Automatic Build System <autodist@mambasoft.it> 1.6.6-1mamba
- automatic version update by autodist

* Sat Jul 21 2012 Automatic Build System <autodist@mambasoft.it> 1.6.5.2-1mamba
- update to 1.6.5.2

* Wed Oct 15 2008 gil <puntogil@libero.it> 1.6.1-1mamba
- package created by autospec
